#ifndef __NOBDY_H_
#define __NBODY_H_

#define REAL                    float
#define MPI_MYREAL              MPI_FLOAT

#define KAPPA                   1.0
#define EPS2                    1e-6
#define TIMESTEP                1e-3

#define MACROCONCATs1(A, B, C)  A ## B ## C               // macro concat, 1st stage
#define MACROCONCAT(A, B, C)    MACROCONCATs1(A, B, C)    // macro concat, 2nd stage is needed to concat values defined in macros

#endif